> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get transfer state

GET https://www.okx.com/api/v5/asset/transfer-state

Retrieve the transfer state of a fund transfer by transfer ID or client-supplied ID.

Reference: https://okx-demo.ferndocs.com/api/api-reference/funding/get-transfer-state

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Request

### Query parameters

- `transId` (string, optional) — Transfer ID. Either transId or clientId is required. If both are passed, transId will be used.
- `clientId` (string, optional) — Client-supplied ID. A combination of case-sensitive alphanumerics, all numbers, or all letters, up to 32 characters.
- `type` (enum, optional) — Transfer type: 0=transfer within account, 1=master-to-subaccount (by master), 2=subaccount-to-master (by master), 3=subaccount-to-master (by sub), 4=subaccount-to-subaccount. Default is 0.
  - Allowed values: `0`, `1`, `2`, `3`, `4`

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5AssetTransferStateGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5AssetTransferStateGetResponsesContentApplicationJsonSchemaDataItems

- `transId` (string, optional) — Transfer ID.
- `clientId` (string, optional) — Client-supplied ID.
- `ccy` (string, optional) — Currency, e.g. USDT.
- `amt` (string, optional) — Amount transferred.
- `type` (string, optional) — Transfer type.
- `from` (string, optional) — The remitting account: 6=Funding account, 18=Trading account.
- `to` (string, optional) — The beneficiary account: 6=Funding account, 18=Trading account.
- `subAcct` (string, optional) — Name of the sub-account.
- `instId` (string, optional) — Deprecated.
- `toInstId` (string, optional) — Deprecated.
- `state` (string, optional) — Transfer state: success, pending, or failed.

## Examples

**Response**

```json
{
  "code": "string",
  "msg": "string",
  "data": [
    {
      "transId": "string",
      "clientId": "string",
      "ccy": "string",
      "amt": "string",
      "type": "string",
      "from": "string",
      "to": "string",
      "subAcct": "string",
      "instId": "string",
      "toInstId": "string",
      "state": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://www.okx.com/api/v5/asset/transfer-state"

headers = {"OK-ACCESS-KEY": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://www.okx.com/api/v5/asset/transfer-state';
const options = {method: 'GET', headers: {'OK-ACCESS-KEY': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/asset/transfer-state"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/asset/transfer-state")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/asset/transfer-state")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/asset/transfer-state', [
  'headers' => [
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/asset/transfer-state");
var request = new RestRequest(Method.GET);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["OK-ACCESS-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/asset/transfer-state")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```